Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.resultsfilter
Class TodaysBuildResultsFilter

    java.lang.Object
      com.atlassian.bamboo.builder.resultsfilter.TodaysBuildResultsFilter

All Implemented Interfaces:
  BuildResultsFilter

    public class TodaysBuildResultsFilter

extends Object
implements BuildResultsFilter

This class filters a build build results to only show todays results.

Version:
  $Id: TodaysBuildResultsFilter.java,v 1.3 2005/01/16 22:57:31 andy Exp $

Constructor Summary
`TodaysBuildResultsFilter()`

Method Summary
`List` | `getBuildResultsForBuild(Build build)` Obtain the given build's `BuildResultsSummary` for today.
`String` | `getCookieKey()` The key to store in the cookie.
`String` | `getLabel()` What label appears in the GUI for this strategy?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TodaysBuildResultsFilter

    public TodaysBuildResultsFilter()

Method Detail

### getLabel

    public String getLabel()

  What label appears in the GUI for this strategy?

  Specified by:
    `getLabel` in interface `BuildResultsFilter`
  Returns:
    The descriptive text to appear in the web drop down

### getCookieKey

    public String getCookieKey()

  Description copied from interface: `BuildResultsFilter`
  The key to store in the cookie.

  Specified by:
    `getCookieKey` in interface `BuildResultsFilter`
  Returns:

### getBuildResultsForBuild

    public List getBuildResultsForBuild(Build build)

  Obtain the given build's `BuildResultsSummary` for today.

  Specified by:
    `getBuildResultsForBuild` in interface `BuildResultsFilter`
  Parameters:
    `build` - The build
  Returns:
    The collection of build results that occurred today

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.